Skip to main content
PATCH
/
v2
/
ProductGroup
/
UpdateProductGroups
Update the properties of product groups.
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v2/ProductGroup/UpdateProductGroups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "productGroups": [
    {
      "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "name": "<string>"
    }
  ]
}
'
import requests

url = "https://api.jtl-cloud.com/erp/v2/ProductGroup/UpdateProductGroups"

payload = { "productGroups": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>"
}
] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
productGroups: [{id: 'b45f6432-2462-4c6f-b00f-1d9d01000000', name: '<string>'}]
})
};

fetch('https://api.jtl-cloud.com/erp/v2/ProductGroup/UpdateProductGroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Body

application/json

Request parameters

Update the properties of product groups. - Request

productGroups
object[]

Product groups to update.

Response

Product groups successfully changed